Subject: Re: linux-next: add utrace tree

From: Andi Kleen <[email-masked]>
Date: Tue, 26 Jan 2010 23:03:01 +0100

> Simple example. Try to debug/strace strace ot gdb itself. Not trivial,
> you can't attach to strace's tracees. Recently I spent 2 days trying to
> understand why strace -f hangs. I was able to attach to strace, but
> I wasn't able to see what its tracees do.

But what would the semantics be inside the tracees even if you could?

> And, it was not possible to even trace strace until it hangs, with
> ptrace the tracee (strace) must stop to report the event and this
> shadowed the race.

"Shadowing the race" was the second surname of strace I thought anyways @)
Basically if you care about races never use strace in the first place.

-Andi
-- 
[email-masked] -- Speaking for myself only.